<html>
<head>
<title>OGRE: Ogre::GpuNamedConstants Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1GpuNamedConstants.html">GpuNamedConstants</a></div>
<h1>Ogre::GpuNamedConstants Struct Reference</h1><!-- doxytag: class="Ogre::GpuNamedConstants" -->Struct collecting together the information for named constants.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1GpuNamedConstants-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuNamedConstants.html#d1a16f8fe55b903b77c62a5d28387d21">generateConstantDefinitionArrayEntries</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;paramName, const <a class="el" href="structOgre_1_1GpuConstantDefinition.html">GpuConstantDefinition</a> &amp;baseDef)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate additional constant entries for arrays based on a base definition.  <a href="#d1a16f8fe55b903b77c62a5d28387d21"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuNamedConstants.html#5558247a535928116d99c17fdbb4de6f">floatBufferSize</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Total size of the float buffer required.  <a href="#5558247a535928116d99c17fdbb4de6f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuNamedConstants.html#6989ab89780218c87936c55c96586a5b">intBufferSize</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Total size of the int buffer required.  <a href="#6989ab89780218c87936c55c96586a5b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#e4823c1377e5d4c312a3da9d1cb8534a">GpuConstantDefinitionMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuNamedConstants.html#f35adecba174a620edfea7ff95ad3a7e">map</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Map of parameter names to <a class="el" href="structOgre_1_1GpuConstantDefinition.html" title="Information about predefined program constants.">GpuConstantDefinition</a>.  <a href="#f35adecba174a620edfea7ff95ad3a7e"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Struct collecting together the information for named constants. 
<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00144">144</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="d1a16f8fe55b903b77c62a5d28387d21"></a><!-- doxytag: member="Ogre::GpuNamedConstants::generateConstantDefinitionArrayEntries" ref="d1a16f8fe55b903b77c62a5d28387d21" args="(const String &amp;paramName, const GpuConstantDefinition &amp;baseDef)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::GpuNamedConstants::generateConstantDefinitionArrayEntries           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>paramName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1GpuConstantDefinition.html">GpuConstantDefinition</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>baseDef</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Generate additional constant entries for arrays based on a base definition. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Array uniforms will be added just with their base name with no array suffix. This method will add named entries for array suffixes too so individual array entries can be addressed. Note that we only individually index array elements if the array size is up to 16 entries in size. Anything larger than that only gets a [0] entry as well as the main entry, to save cluttering up the name map. After all, you can address the larger arrays in a bulk fashion much more easily anyway. </dd></dl>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="5558247a535928116d99c17fdbb4de6f"></a><!-- doxytag: member="Ogre::GpuNamedConstants::floatBufferSize" ref="5558247a535928116d99c17fdbb4de6f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GpuNamedConstants.html#5558247a535928116d99c17fdbb4de6f">Ogre::GpuNamedConstants::floatBufferSize</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Total size of the float buffer required. 
<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00147">147</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6989ab89780218c87936c55c96586a5b"></a><!-- doxytag: member="Ogre::GpuNamedConstants::intBufferSize" ref="6989ab89780218c87936c55c96586a5b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GpuNamedConstants.html#6989ab89780218c87936c55c96586a5b">Ogre::GpuNamedConstants::intBufferSize</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Total size of the int buffer required. 
<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00149">149</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f35adecba174a620edfea7ff95ad3a7e"></a><!-- doxytag: member="Ogre::GpuNamedConstants::map" ref="f35adecba174a620edfea7ff95ad3a7e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#e4823c1377e5d4c312a3da9d1cb8534a">GpuConstantDefinitionMap</a> <a class="el" href="structOgre_1_1GpuNamedConstants.html#f35adecba174a620edfea7ff95ad3a7e">Ogre::GpuNamedConstants::map</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Map of parameter names to <a class="el" href="structOgre_1_1GpuConstantDefinition.html" title="Information about predefined program constants.">GpuConstantDefinition</a>. 
<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00151">151</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:47 2008
</p>
</body>
</html>
